Bug 122198 - Mozilla startup is broken
Mozilla startup is broken
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-01 17:02 EDT by Alan Cox
Modified: 2007-12-10 10:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-10 10:25:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alan Cox 2004-05-01 17:02:15 EDT
Run mozilla one box.
ssh to a remote box in order to run a mozilla that can get to the
relevant intranet
Instead of running mozilla, and recognizing the existing mozilla is on
a different box it opens a new window on the original box, which cant
access the site.
Comment 1 Christopher Blizzard 2004-06-01 15:11:07 EDT
That's because it tries to connect to the X server and check to see if
there's a copy already running there.  If there is, it just asks it to
load the page.  You can fake it out by setting LOGNAME to something
else - for example:

LOGNAME=poopyalan /usr/bin/mozilla
Comment 2 Alan Cox 2004-06-01 15:45:08 EDT
If its comparing login names that is also broken since login names do
not always translate. This is actually a big pain when working in any
kind of multiple security environment such as an slogin to a corporate
network. Is there any reason it can't compare both hostname and
username at least ?


Comment 3 Matthew Miller 2005-04-26 11:16:40 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 4 Alan Cox 2006-08-11 13:53:52 EDT
Still present
Comment 5 Matěj Cepl 2007-12-10 04:23:05 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 6 Alan Cox 2007-12-10 10:25:56 EST
Not seen in current releases. 

Note You need to log in before you can comment on or make changes to this bug.